function Get-CentralOnPremServerName {
    [CmdletBinding()]
    param (
        [Parameter(Mandatory = $false)][string]$ServerName,
        [Parameter(Mandatory = $false)][bool]$ConfirmAll = $false
    )

    # Allow user to use existing value or to update it.
    if ((Confirm-SingleValue -Description 'LS Central SQL server name' -Value $ServerName -ConfirmAll $ConfirmAll) -eq $true) { return $ServerName }

    Write-Host # Newline.
    Write-Host 'Please provide the server name for the LS Central SQL server.'
    return Read-Host -Prompt 'Server name'
}